/*
* Copyright (c) 2008 Nokia Corporation and/or its subsidiary(-ies). 
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
* Storage names for property dialog
*
*/
package com.nokia.tracebuilder.engine.propertydialog;

/**
 * Storage names for property dialog
 * 
 */
interface PropertyDialogConfigurationNames {

	/**
	 * Storage name prefix for all trace flags
	 */
	String PROPERTY_DIALOG_TRACE_FLAG = "PropertyDialog.TraceFlag"; //$NON-NLS-1$

	/**
	 * Storage name prefix for all parameter flags
	 */
	String PROPERTY_DIALOG_PARAMETER_FLAG = "PropertyDialog.ParameterFlag"; //$NON-NLS-1$

	/**
	 * Storage name prefix for all constant table flags
	 */
	String PROPERTY_DIALOG_CONSTANT_TABLE_FLAG = "PropertyDialog.ConstantTableFlag"; //$NON-NLS-1$

	/**
	 * Storage name prefix for all constant flags
	 */
	String PROPERTY_DIALOG_CONSTANT_FLAG = "PropertyDialog.ConstantFlag"; //$NON-NLS-1$

	/**
	 * Storage name prefix for all component flags
	 */
	String PROPERTY_DIALOG_COMPONENT_FLAG = "PropertyDialog.ComponentFlag"; //$NON-NLS-1$
	
	/**
	 * Storage name prefix for all instrumenter flags
	 */
	String PROPERTY_DIALOG_INSTRUMENTER_FLAG = "PropertyDialog.InstrumenterFlag"; //$NON-NLS-1$

	/**
	 * Storage name for selected constant table template
	 */
	String PROPERTY_DIALOG_CONSTANT_TABLE_TEMPLATE = "PropertyDialog.ConstantTableTemplate"; //$NON-NLS-1$

	/**
	 * Select component template
	 */
	String PROPERTY_DIALOG_SELECT_COMPONENT_TEMPLATE = "PropertyDialog.SelectComponentTemplate"; //$NON-NLS-1$
	
	/**
	 * Storage name for selected constant template
	 */
	String PROPERTY_DIALOG_CONSTANT_TEMPLATE = "PropertyDialog.ConstantTemplate"; //$NON-NLS-1$

	/**
	 * Storage name for selected parameter template
	 */
	String PROPERTY_DIALOG_PARAMETER_TEMPLATE = "PropertyDialog.ParameterTemplate"; //$NON-NLS-1$

	/**
	 * Storage name for selected instrumenter template
	 */
	String PROPERTY_DIALOG_INSTRUMENTER_TEMPLATE = "PropertyDialog.InstrumenterTemplate"; //$NON-NLS-1$

	/**
	 * Storage name for selected trace template
	 */
	String PROPERTY_DIALOG_TRACE_TEMPLATE = "PropertyDialog.TraceTemplate"; //$NON-NLS-1$

	/**
	 * Storage name for constant name
	 */
	String PROPERTY_DIALOG_CONSTANT_NAME = "PropertyDialog.ConstantName"; //$NON-NLS-1$
	
	/**
	 * Storage name for component name
	 */
	String PROPERTY_DIALOG_COMPONENT_NAME = "PropertyDialog.ComponentName"; //$NON-NLS-1$

	/**
	 * Storage name for parameter type
	 */
	String PROPERTY_DIALOG_PARAMETER_TYPE = "PropertyDialog.ParameterType"; //$NON-NLS-1$

	/**
	 * Storage name for constant table name
	 */
	String PROPERTY_DIALOG_CONSTANT_TABLE_NAME = "PropertyDialog.ConstantTableName"; //$NON-NLS-1$

	/**
	 * Storage name for instrumenter dialog name format
	 */
	String PROPERTY_DIALOG_INSTRUMENTER_NAME_FORMAT = "PropertyDialog.InstrumenterNameFormat"; //$NON-NLS-1$

	/**
	 * Storage name for instrumenter dialog trace format
	 */
	String PROPERTY_DIALOG_INSTRUMENTER_TRACE_FORMAT = "PropertyDialog.InstrumenterTraceFormat"; //$NON-NLS-1$

	/**
	 * Storage name for parameter name
	 */
	String PROPERTY_DIALOG_PARAMETER_NAME = "PropertyDialog.ParameterName"; //$NON-NLS-1$

	/**
	 * Storage name for trace text
	 */
	String PROPERTY_DIALOG_TRACE_TEXT = "PropertyDialog.TraceText"; //$NON-NLS-1$

	/**
	 * Storage name for trace name
	 */
	String PROPERTY_DIALOG_TRACE_NAME = "PropertyDialog.TraceName"; //$NON-NLS-1$

	/**
	 * Storage name for target group in "Add Trace" dialog
	 */
	String PROPERTY_DIALOG_TRACE_GROUP = "PropertyDialog.TraceGroup"; //$NON-NLS-1$

	/**
	 * Storage name for target group in "Instrumenter" dialog
	 */
	String PROPERTY_DIALOG_INSTRUMENTER_TRACE_GROUP = "PropertyDialog.InstrumenterTraceGroup"; //$NON-NLS-1$

}
